#[derive(Debug)]
pub struct MeClient<'a> {
    base_client: &'a mut crate::core::base_client::BaseClient,
}
impl<'a> MeClient<'a> {
    pub(crate) fn _new(
        base_client: &'a mut crate::core::base_client::BaseClient,
    ) -> Self {
        Self { base_client }
    }
    /// Get current user profile
    ///
    /// GET /user/me
    pub async fn get(&mut self) -> crate::SdkResult<crate::models::User> {
        let url = self.base_client.build_url("/user/me");
        let mut builder = reqwest::Client::default().get(&url);
        builder = builder.header("x-sideko-sdk-language", "rust");
        builder = self
            .base_client
            .apply_auths_to_builder(builder, &["ApiKeyAuth", "CookieAuth"])
            .await?;
        let mut response = builder.send().await?;
        response = self.base_client.error_for_status("GET", response).await?;
        crate::core::response::process_json::<crate::models::User>(response).await
    }
    /// Get API key for the current user
    ///
    /// GET /user/me/api_key
    pub async fn get_key(&mut self) -> crate::SdkResult<crate::models::UserApiKey> {
        let url = self.base_client.build_url("/user/me/api_key");
        let mut builder = reqwest::Client::default().get(&url);
        builder = builder.header("x-sideko-sdk-language", "rust");
        builder = self
            .base_client
            .apply_auths_to_builder(builder, &["ApiKeyAuth", "CookieAuth"])
            .await?;
        let mut response = builder.send().await?;
        response = self.base_client.error_for_status("GET", response).await?;
        crate::core::response::process_json::<crate::models::UserApiKey>(response).await
    }
}
